#!/bin/bash
# -----------------------------------------------------------------------
# Copyright 2023-2024 Open Networking Foundation Contributors
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http:#www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# -----------------------------------------------------------------------
# SPDX-FileCopyrightText: 2023-2024 Open Networking Foundation Contributors
# SPDX-License-Identifier: Apache-2.0
## --------------------------------------------------------------------
## Intent: Construct a jira ticket query with attributes
## --------------------------------------------------------------------

function resolved_switches()
{
    local ref=$1; shift

    
[RESOLVED] - tokens={Declined, Won't Fix}
  --resolved-start ccyy-mm-dd
  --resolved-end   ccyy-mm-dd
  --resolved-incl {token(s)}
  --resolved-excl {token(s)}
  --resolved-is-empty   Query for open tickets
  --resolved-not-empty
  --unresolved          Alias for resolved-is-empty
